<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Entity;
use App\Entities\PagSeguro\Share\PagSeguroPhone;

class PagSeguroCustomer extends Entity {
	protected $nome;
	protected $email;
	protected $tax_id;
	protected $phone;

	public static function builder(): PagSeguroCustomerBuilder {

		return new PagSeguroCustomerBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getNome() {

		return $this->nome;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getEmail() {

		return $this->email;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getTaxId() {

		return $this->tax_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getPhone() {

		return $this->phone;

	}

	/**
	 *
	 * @param mixed $nome
	 */
	public function setNome($nome) {

		$this->nome = $nome;

	}

	/**
	 *
	 * @param mixed $email
	 */
	public function setEmail($email) {

		$this->email = $email;

	}

	/**
	 *
	 * @param mixed $tax_id
	 */
	public function setTaxId($tax_id) {

		$this->tax_id = $tax_id;

	}

	/**
	 *
	 * @param mixed $phone
	 */
	public function setPhone(PagSeguroPhone $phone) {

		$this->phone = $phone;

	}

}

